Network technologies¶
Operations on network technologies. Available on the client as client.network_technologies.
network_technologies.create¶
async def create(
scenario_guid: str,
request: NetworkTechnologyRequestDtoV2,
) -> NetworkTechnologyResponseDtoV2
Create a network technology in a scenario.
REST operation: POST /sympheny-app/v2_1/scenarios/{scenarioGuid}/network-technologies
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
scenario_guid |
str |
yes | GUID of the scenario. |
request |
NetworkTechnologyRequestDtoV2 |
yes | Request body. |
Returns: NetworkTechnologyResponseDtoV2
async with AsyncSympheny(username, password) as client:
technology = await client.network_technologies.create(scenario_guid, request)
with Sympheny(username, password) as client:
technology = client.network_technologies.create(scenario_guid, request)
network_technologies.list¶
async def list(scenario_guid: str) -> NetworkTechnologyListResponseDtoV2
List the network technologies of a scenario.
REST operation: GET /sympheny-app/v2/scenarios/{scenarioGuid}/network-technologies
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
scenario_guid |
str |
yes | GUID of the scenario. |
Returns: NetworkTechnologyListResponseDtoV2
async with AsyncSympheny(username, password) as client:
technologies = await client.network_technologies.list(scenario_guid)
with Sympheny(username, password) as client:
technologies = client.network_technologies.list(scenario_guid)
network_technologies.get¶
async def get(technology_guid: str) -> NetworkTechnologyResponseDtoV2
Get network technology details.
REST operation: GET /sympheny-app/v2/scenarios/network-technologies/{guid}
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
technology_guid |
str |
yes | GUID of the technology. |
Returns: NetworkTechnologyResponseDtoV2
async with AsyncSympheny(username, password) as client:
technology = await client.network_technologies.get(technology_guid)
with Sympheny(username, password) as client:
technology = client.network_technologies.get(technology_guid)
network_technologies.update¶
async def update(
technology_guid: str,
request: NetworkTechnologyResponseDtoV2,
) -> NetworkTechnologyResponseDtoV2
Update a network technology.
REST operation: PUT /sympheny-app/v2_1/scenarios/network-technologies/{guid}
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
technology_guid |
str |
yes | GUID of the technology. |
request |
NetworkTechnologyResponseDtoV2 |
yes | Request body. |
Returns: NetworkTechnologyResponseDtoV2
async with AsyncSympheny(username, password) as client:
technology = await client.network_technologies.update(technology_guid, request)
with Sympheny(username, password) as client:
technology = client.network_technologies.update(technology_guid, request)
network_technologies.delete¶
async def delete(technology_guid: str) -> NetworkTechnologyListResponseDto
Delete a network technology; returns the remaining network technologies.
REST operation: DELETE /sympheny-app/scenarios/network-technologies/{guid}
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
technology_guid |
str |
yes | GUID of the technology. |
Returns: NetworkTechnologyListResponseDto
async with AsyncSympheny(username, password) as client:
remaining = await client.network_technologies.delete(technology_guid)
with Sympheny(username, password) as client:
remaining = client.network_technologies.delete(technology_guid)